# Base vagrantfile for a Debian 10 Buster.
# ========================================
# Notes on setting up vagrant and NFS shares:
#   - $ sudo apt install nfs-kernel-server
#   - $ vagrant plugin install vagrant-libvirt
#
# Don'tforget to clean up the NFS exports:
#   - $ sudo vim /etc/exports
#
# Open port on firewall for NFS traffic:
#   - Search for "the bridge in which the mount is":
#     $ cat /etc/exports # 192.168.122.120
#     $ ip a             # virbr1: 192.168.122.1
#     -> bridge is virbr1
#   - Allow traffic on this bridge for NFS ports

# Host name
hostname = 'debian-psql'

# Vagrant configuration
Vagrant.configure('2') do |config|
  config.vm.define hostname do |test_vm|
    # https://github.com/vagrant-libvirt/vagrant-libvirt

    # Box version
    test_vm.vm.box = "debian/buster64"

    # Host name
    test_vm.vm.hostname = hostname

    # VirtualBox config
    test_vm.vm.provider :libvirt do |lv|
      lv.driver              = 'kvm'
      lv.cpus                = 4
      lv.memory              = 4096
      lv.default_prefix      = 'psql_dev_'
    end

    test_vm.vm.network :private_network, ip: '192.168.56.110'
    # config.vm.network :forwarded_port, guest: 22, host: 2222, auto_correct: true

    # Shared folders.
    # test_vm.vm.synced_folder './', '/vagrant'
    test_vm.vm.synced_folder './data', '/home/vagrant/dev', type: 'nfs'

    # Provision script
    test_vm.vm.provision :shell, path: './provision.sh'
  end
end
